org.apache.sling.auth.xing.oauth.impl

## Class XingOauthAuthenticationHandler

- java.lang.Object
- - org.apache.sling.auth.core.spi.DefaultAuthenticationFeedbackHandler
  - - org.apache.sling.auth.xing.oauth.impl.XingOauthAuthenticationHandler

All Implemented Interfaces:
  org.apache.sling.auth.core.spi.AuthenticationFeedbackHandler, org.apache.sling.auth.core.spi.AuthenticationHandler

    @Service
    @Properties(value={@Property(name="service.vendor",value="The Apache Software Foundation"),@Property(name="service.description",value="Authentication Handler for Sling Authentication XING OAuth"),@Property(name="service.ranking",intValue=0,propertyPrivate=false),@Property(name="path",value="/",unbounded=ARRAY),@Property(name="authtype",value="xing-oauth",propertyPrivate=true)})
    public class XingOauthAuthenticationHandler
    extends org.apache.sling.auth.core.spi.DefaultAuthenticationFeedbackHandler
    implements org.apache.sling.auth.core.spi.AuthenticationHandler

### Field Summary

Fields
`static String` `USER_SESSION_ATTRIBUTE_NAME`

### Fields inherited from interface org.apache.sling.auth.core.spi.AuthenticationHandler

`FAILURE_REASON, PATH_PROPERTY, REQUEST_LOGIN_PARAMETER, SERVICE_NAME, TYPE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`XingOauthAuthenticationHandler()`

### Method Summary

Methods
`protected void` `activate(org.osgi.service.component.ComponentContext componentContext)`
`protected void` `configure(org.osgi.service.component.ComponentContext componentContext)`
`protected void` `deactivate(org.osgi.service.component.ComponentContext componentContext)`
`void` `dropCredentials(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.sling.auth.core.spi.AuthenticationInfo` `extractCredentials(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected org.apache.sling.auth.xing.api.XingUser` `fetchUser(org.scribe.model.Token accessToken)`
`protected void` `modified(org.osgi.service.component.ComponentContext componentContext)`
`protected void` `removeAuthFromSession(javax.servlet.http.HttpServletRequest request)`
`boolean` `requestCredentials(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class org.apache.sling.auth.core.spi.DefaultAuthenticationFeedbackHandler

`authenticationFailed, authenticationSucceeded, handleRedirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### USER_SESSION_ATTRIBUTE_NAME

    public static final String USER_SESSION_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### XingOauthAuthenticationHandler

    public XingOauthAuthenticationHandler()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.service.component.ComponentContext componentContext)

#### modified

    @Modified
    protected void modified(org.osgi.service.component.ComponentContext componentContext)

#### deactivate

    @Deactivate
    protected void deactivate(org.osgi.service.component.ComponentContext componentContext)

#### configure

    protected void configure(org.osgi.service.component.ComponentContext componentContext)

#### extractCredentials

    public org.apache.sling.auth.core.spi.AuthenticationInfo extractCredentials(javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response)

Specified by:
  `extractCredentials` in interface `org.apache.sling.auth.core.spi.AuthenticationHandler`

#### requestCredentials

    public boolean requestCredentials(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                               throws IOException

Specified by:
  `requestCredentials` in interface `org.apache.sling.auth.core.spi.AuthenticationHandler`
Throws:
  `IOException`

#### dropCredentials

    public void dropCredentials(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                         throws IOException

Specified by:
  `dropCredentials` in interface `org.apache.sling.auth.core.spi.AuthenticationHandler`
Throws:
  `IOException`

#### fetchUser

    protected org.apache.sling.auth.xing.api.XingUser fetchUser(org.scribe.model.Token accessToken)
                                                         throws Exception

Throws:
  `Exception`

#### removeAuthFromSession

    protected void removeAuthFromSession(javax.servlet.http.HttpServletRequest request)